Direct Debit Payment API

This API is used to do Direct Debit Payment using an already bound card.
In case of any HTTP response code other than 2XX received in the response, please 'DO NOT FAIL' the transaction.



Service Code: 33

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 32 and 32

Unique 32-character string. Transaction identifier on the partner system.

string
required
length between 32 and 32

Unique card token received after succesful card binding.

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

amount
object
required

Amount to be charged to the card.

urlParam
array of objects
required

Array of redirection URLs.

urlParam*
additionalInfo
object
required

Additional info required for processing the transaction. The additionalInfo value must:

  • Have a maximum length of 100 characters.
  • Have a minimum length of 1 character.
  • Be alphanumeric, with the following special characters allowed: ` (space)`, `@`, `.`, `-`, `_`, `+`, `*`, `!`, `~`

To display additional values on the dashboard, the values should be strings. Use the keys:
  • additionalInfo1
  • additionalInfo2
  • additionalInfo3
Headers
string
enum
required
length between 16 and 16

Represents the content type of the received data (e.g. application/json)

Allowed:
string
enum
required
length between 16 and 16

Represents the media type that the client is able to accept from the server (e.g. application/json).

Allowed:
string
required

Represents the access_token of a request; string starts with the keyword "Bearer " followed by the access_token.

string
required

Represents the customer_access_token of a request; string starts with the keyword "Bearer " followed by the B2B2C Token.

string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ss.SSSTZD format.

string
length between 32 and 32

Client's client_id (PJP Name). It is provided when the registration process is completed.

string
required

Represents signature of a request. Symmetric signature: HMAC_SHA512(clientSecret, stringToSign).

stringToSign = HTTPMethod +":"+ URLPath +":"+ AccessToken +":"+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+":" + X-TIMESTAMP

string
required
length between 6 and 6

This field is a 6 char merchant identifier that is unique per each merchant. The exact value is disclosed to each merchant separately.

string
required
length between 32 and 32

Alphanumeric String. Reference number that should be unique in the same flow.

string
required
length between 5 and 5

Numeric String. PJP's channel id. Device identification on which the API services is currently being accessed by the end user (customer). Must be the same in one flow.

Responses

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json